class crmDashboardFollowUpResponse {
  String? error;
  List<FollowupLists>? followupLists;
  String? message;
  int? sessionExists;

  crmDashboardFollowUpResponse(
      {this.error, this.followupLists, this.message, this.sessionExists});

  crmDashboardFollowUpResponse.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    if (json['followup_lists'] != null) {
      followupLists = <FollowupLists>[];
      json['followup_lists'].forEach((v) {
        followupLists!.add(new FollowupLists.fromJson(v));
      });
    }
    message = json['message'];
    sessionExists = json['session_exists'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    if (this.followupLists != null) {
      data['followup_lists'] =
          this.followupLists!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    data['session_exists'] = this.sessionExists;
    return data;
  }
}

class FollowupLists {
  String? aname;
  String? appdate;
  String? atype;
  String? anote;
  String? leadid;
  String? lstatus;
  String? lempid;
  String? aid;

  FollowupLists(
      {this.aname,
        this.appdate,
        this.atype,
        this.anote,
        this.leadid,
        this.lstatus,
        this.lempid,
        this.aid});

  FollowupLists.fromJson(Map<String, dynamic> json) {
    aname = json['aname'];
    appdate = json['appdate'];
    atype = json['atype'];
    anote = json['anote'];
    leadid = json['leadid'];
    lstatus = json['lstatus'];
    lempid = json['lempid'];
    aid = json['aid'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['aname'] = this.aname;
    data['appdate'] = this.appdate;
    data['atype'] = this.atype;
    data['anote'] = this.anote;
    data['leadid'] = this.leadid;
    data['lstatus'] = this.lstatus;
    data['lempid'] = this.lempid;
    data['aid'] = this.aid;
    return data;
  }
}
